
/*
 * Camel EndpointConfiguration generated by camel-api-component-maven-plugin
 */
package org.apache.camel.component.twilio;

import org.apache.camel.spi.ApiMethod;
import org.apache.camel.spi.ApiParam;
import org.apache.camel.spi.ApiParams;
import org.apache.camel.spi.Configurer;
import org.apache.camel.spi.UriParam;
import org.apache.camel.spi.UriParams;

/**
 * Camel endpoint configuration for {@link com.twilio.rest.api.v2010.account.recording.AddOnResult}.
 */
@ApiParams(apiName = "recording-add-on-result", 
           description = "",
           apiMethods = {@ApiMethod(methodName = "deleter", description="Create a AddOnResultDeleter to execute delete", signatures={"com.twilio.rest.api.v2010.account.recording.AddOnResultDeleter deleter(String pathReferenceSid, String pathSid)", "com.twilio.rest.api.v2010.account.recording.AddOnResultDeleter deleter(String pathAccountSid, String pathReferenceSid, String pathSid)"}), @ApiMethod(methodName = "fetcher", description="Create a AddOnResultFetcher to execute fetch", signatures={"com.twilio.rest.api.v2010.account.recording.AddOnResultFetcher fetcher(String pathReferenceSid, String pathSid)", "com.twilio.rest.api.v2010.account.recording.AddOnResultFetcher fetcher(String pathAccountSid, String pathReferenceSid, String pathSid)"}), @ApiMethod(methodName = "reader", description="Create a AddOnResultReader to execute read", signatures={"com.twilio.rest.api.v2010.account.recording.AddOnResultReader reader(String pathReferenceSid)", "com.twilio.rest.api.v2010.account.recording.AddOnResultReader reader(String pathAccountSid, String pathReferenceSid)"}), }, aliases = {"^creator$=create", "^deleter$=delete", "^fetcher$=fetch", "^reader$=read", "^updater$=update"})
@UriParams
@Configurer(extended = true)
public final class RecordingAddOnResultEndpointConfiguration extends TwilioConfiguration {
    @UriParam
    @ApiParam(optional = false, apiMethods = {@ApiMethod(methodName = "deleter", description="The SID of the Account that created the resources to delete"), @ApiMethod(methodName = "fetcher", description="The SID of the Account that created the resource to fetch"), @ApiMethod(methodName = "reader", description="The SID of the Account that created the resources to read")})
    private String pathAccountSid;
    @UriParam
    @ApiParam(optional = false, apiMethods = {@ApiMethod(methodName = "deleter", description="The SID of the recording to which the result to delete belongs"), @ApiMethod(methodName = "deleter", description="The SID of the recording to which the result to delete belongs"), @ApiMethod(methodName = "fetcher", description="The SID of the recording to which the result to fetch belongs"), @ApiMethod(methodName = "fetcher", description="The SID of the recording to which the result to delete belongs"), @ApiMethod(methodName = "reader", description="The SID of the recording to which the result to read belongs"), @ApiMethod(methodName = "reader", description="The SID of the recording to which the result to delete belongs")})
    private String pathReferenceSid;
    @UriParam
    @ApiParam(optional = false, apiMethods = {@ApiMethod(methodName = "deleter", description="The unique string that identifies the resource to delete"), @ApiMethod(methodName = "fetcher", description="The unique string that identifies the resource to fetch")})
    private String pathSid;

    public String getPathAccountSid() {
        return pathAccountSid;
    }

    public void setPathAccountSid(String pathAccountSid) {
        this.pathAccountSid = pathAccountSid;
    }

    public String getPathReferenceSid() {
        return pathReferenceSid;
    }

    public void setPathReferenceSid(String pathReferenceSid) {
        this.pathReferenceSid = pathReferenceSid;
    }

    public String getPathSid() {
        return pathSid;
    }

    public void setPathSid(String pathSid) {
        this.pathSid = pathSid;
    }
}
